Bug 126689 - Icons needed for Bullets & Numbering toolbar and context menu
Summary: Icons needed for Bullets & Numbering toolbar and context menu
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.2 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Icon-Request
  Show dependency treegraph
 
Reported: 2019-08-03 15:30 UTC by V Stuart Foote
Modified: 2021-04-24 07:18 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
from toolbar context menu -> Visble Buttons (22.35 KB, image/png)
2020-07-15 23:12 UTC, V Stuart Foote
Details
from customize dialog B&N toolbar (32.88 KB, image/png)
2020-07-15 23:13 UTC, V Stuart Foote
Details
Continue Numbering in MS Word 2013 (17.66 KB, image/png)
2021-02-22 23:42 UTC, Rizal Muttaqin
Details
Screenshot of icon (49.16 KB, image/jpeg)
2021-03-14 09:13 UTC, Dieter
Details
I wonder why .uno:ContinueNumbering does not flip when switching RTL to LTR back and forth? (896.21 KB, video/mp4)
2021-03-28 02:26 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2019-08-03 15:30:09 UTC
The following UNO commands are used in the Bullets & Numbering Toolbar and Conetxt menu but they do not have an associated icon so their label shows when made visible.

JumpDownThisLevel
JumpUpThisLevel
ContinueNumbering

Related to the NumberingStart [4] command, that does have an icon designed.

=-ref-=
[1]https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/WriterCommands.xcu?r=ae68e12e#1792

[2] https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/WriterCommands.xcu?r=ae68e12e#1777

[3] https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/WriterCommands.xcu?r=ae68e12e#2913

[4] https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/WriterCommands.xcu?r=ae68e12e#2297
Comment 1 Rizal Muttaqin 2020-07-15 22:32:42 UTC
Hai Stuart, could you please produce screenshot how it looks now without icon?
Comment 2 V Stuart Foote 2020-07-15 23:12:23 UTC
Created attachment 163085 [details]
from toolbar context menu  -> Visble Buttons
Comment 3 V Stuart Foote 2020-07-15 23:13:27 UTC
Created attachment 163086 [details]
from customize dialog B&N toolbar
Comment 4 Rizal Muttaqin 2021-01-07 05:00:37 UTC
@Andreas and others: any idea/rough sketch how these icons should be?
Comment 5 andreas_k 2021-01-18 22:45:12 UTC
I don't have an idea how to make an icon that fit's the label (description)
Comment 6 Rizal Muttaqin 2021-02-22 23:42:13 UTC
Created attachment 169979 [details]
Continue Numbering in MS Word 2013

Anyone please confirm that "Continue previous numbering" has similar or even exactly same function with this one from MS Word 2013. So I can take it as an inspiration to based on.
Comment 7 Dieter 2021-02-24 14:38:23 UTC
(In reply to Rizal Muttaqin from comment #6)
> Anyone please confirm that "Continue previous numbering" has similar or even
> exactly same function with this one from MS Word 2013. So I can take it as
> an inspiration to based on.

Rizal, bug 140579 comment 4 might help.
Comment 8 Commit Notification 2021-03-06 09:51:16 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2866cfbd606843dedb21c5c88f4f93771e5f6c9c

tdf#126689 Colibre: Continue Previous Numbering icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Dieter 2021-03-14 09:13:40 UTC
Created attachment 170473 [details]
Screenshot of icon

Rizal, thanks for your work. I can see icon in context menu (see screenshot). To be in line with icons "Restart Numbering" and "Insert Unnumbered Entry" I prpopose, that first paragraph "I" becomes black and the line between "I" and "II" is removed.
Comment 10 Dieter 2021-03-14 09:32:21 UTC
Since there is now an icon for "Continue Previous Numbering" this icon should be part of the toolbar "Bullets and Numbering". Seth, is that something for you?
Comment 11 Rizal Muttaqin 2021-03-15 02:23:41 UTC
(In reply to Dieter from comment #9)
> Created attachment 170473 [details]
> Screenshot of icon
> 
> Rizal, thanks for your work. I can see icon in context menu (see
> screenshot). To be in line with icons "Restart Numbering" and "Insert
> Unnumbered Entry" I propose, that first paragraph "I" becomes black

I kindly agree

> and the line between "I" and "II" is removed.

The idea of extra line is to give user a quick glance that the command is capable of continuing the numbering even after neutral/no line style. But I have to admit it makes icon ugly. 

@Andreas Kainz what do you think?
Comment 12 Dieter 2021-03-15 08:03:17 UTC
(In reply to Rizal Muttaqin from comment #11)
> The idea of extra line is to give user a quick glance that the command is
> capable of continuing the numbering even after neutral/no line style. But I
> have to admit it makes icon ugly. 

Now I understand the idea of the additional line. Since I like consinsteny, I would either skip that line or add it to the "Restart Numbering" icon, too.
Comment 13 Dieter 2021-03-15 08:04:45 UTC
(In reply to Dieter from comment #10)
> Since there is now an icon for "Continue Previous Numbering" this icon
> should be part of the toolbar "Bullets and Numbering". Seth, is that
> something for you?

This is done in bug 139667 comment 67.
Comment 14 Rizal Muttaqin 2021-03-15 14:37:05 UTC
(In reply to Dieter from comment #12)

> Now I understand the idea of the additional line. Since I like consinsteny,
> I would either skip that line or add it to the "Restart Numbering" icon, too.

I don't think so, once user add a no list line below latest number, the next numbering will be restarted automatically:

1. One

2. Two

Third line with no list style

1. Second One

So there's no need to add additional line in Restart Numbering icon. 

If we talk about consistency, we can talk about :

a) color which we both agree in #c10 and #c11;

b) how many line(s) per numbering we should choose? Either two lines like in Restart Numbering and rest of Colibre icons related to Bullets and Numbering or just one line like in Continue Numbering? 

Two line per numbering in Continue Numbering plus an additional line in middle will make it looks too busy. There must be something that we sacrifice here, it seems
Comment 15 Commit Notification 2021-03-15 14:41:27 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d0e4e4f4994424085ebd33b8d4333fdef454cc52

tdf#139667 tdf#126689 "Add to Previous List" in menus and toolbars

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 sdc.blanco 2021-03-16 01:00:24 UTC
(In reply to Commit Notification from comment #15)
This patch makes "Continue Previous Numbering" visible by default on toolbars.
The title of the patch is anticipating the result of bug 140579.

While icon design is being discussed, should I open a new ticket to suggest a modification to "No List" icon to something like:
1
a
.(bullet)

(because the command applies to all kinds of lists)
(or is it sufficient to mention here? because the topic is on toolbar and context menu, where this icon also appears.)
Comment 17 Dieter 2021-03-16 07:24:17 UTC
(In reply to Rizal Muttaqin from comment #14)
> So there's no need to add additional line in Restart Numbering icon. 

Rizal, you and Andreas are the experts of icon layout. So please decide, how it should looks like.
Comment 18 Rizal Muttaqin 2021-03-19 12:46:03 UTC
(In reply to sdc.blanco from comment #16)

> While icon design is being discussed, should I open a new ticket to suggest
> a modification to "No List" icon to something like:
> 1
> a
> .(bullet)
> 
> (because the command applies to all kinds of lists)
> (or is it sufficient to mention here? because the topic is on toolbar and
> context menu, where this icon also appears.)

Feel free to open a new separated ticket but I disagree, putting many types of numbering make it looks busy especially in small size icon (16px)
Comment 19 sdc.blanco 2021-03-19 13:52:09 UTC
(In reply to Rizal Muttaqin from comment #18)
> Feel free to open a new separated ticket 
Thanks Rizal.  Bug 141110.
Comment 20 Commit Notification 2021-03-20 08:43:55 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/157a7d1420ce7fadae89267614b37a53315e067b

tdf#126689 Colibre: Continue Previous Numbering icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2021-03-28 02:20:18 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e3b86616efd302908b23056b44a6eff2e78125b4

tdf#126689 Sukapura: Continue Previous Numbering icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Rizal Muttaqin 2021-03-28 02:26:44 UTC
Created attachment 170791 [details]
I wonder why .uno:ContinueNumbering does not flip when switching RTL to LTR back and forth?
Comment 23 sdc.blanco 2021-03-28 08:27:18 UTC
(In reply to Rizal Muttaqin from comment #22)
> I wonder why .uno:ContinueNumbering does not flip when switching RTL to LTR
> back and forth?
When you added Properties in WriterCommands.xcu, you set the value to "1".
If the image should be mirrored then set the value to "3"  if it should be rotated then use "5" and if it should be both then use "9".
Comment 24 Commit Notification 2021-03-28 10:27:14 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a4dc982ab1257c93072d7e350ba3ddb49f681968

Breeze: tdf#126689 Continue Previous Numbering icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Rizal Muttaqin 2021-03-28 10:53:18 UTC
(In reply to sdc.blanco from comment #23)

> When you added Properties in WriterCommands.xcu, you set the value to "1".
> If the image should be mirrored then set the value to "3"  if it should be
> rotated then use "5" and if it should be both then use "9".

What do you mean with rotated? Does it have anything to do with the direction of writing from top to bottom like traditional Chinese?
Comment 26 sdc.blanco 2021-03-28 10:58:35 UTC
(In reply to Rizal Muttaqin from comment #25)
> What do you mean with rotated? Does it have anything to do with the
> direction of writing from top to bottom like traditional Chinese?
Yes.  Vertical writing. But also CTL text.
Comment 27 Commit Notification 2021-03-28 12:46:14 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9cc8ced631044643cb8fcf48a7ab9c9697a87989

Sifr: tdf#126689 Continue Previous Numbering icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2021-03-28 12:46:24 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/27377e3db2792d1bf6eb733492462701defdeffc

elementary: tdf#126689 Continue Previous Numbering (Add to List) icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2021-03-28 22:05:40 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7f6b7bc36907212225a3e3fb886da9adc2e16c5c

KJ: tdf#126689 Continue Previous Numbering (Add to List) icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2021-04-01 01:45:28 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/83a7f7a9bc47c64c23d64b24e5d03499a3eede84

tdf#126689 Colibre: revise continue Previous Numbering icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2021-04-24 07:18:38 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e3230975c3cba4bf92738c2f1645a01d63ba5bff

Sukapura: tdf#126689 revise Continue Previous Numbering icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.